# Uses of Interface
org.apache.sling.distribution.journal.impl.subscriber.IdleCheck

Packages that use IdleCheck
Package
Description
org.apache.sling.distribution.journal.impl.subscriber

## Uses of IdleCheck in org.apache.sling.distribution.journal.impl.subscriber

Classes in org.apache.sling.distribution.journal.impl.subscriber that implement IdleCheck
Modifier and Type
Class
Description
`class`
`NoopIdle`
`class`
`SubscriberReady`
A DistributionSubscriber is considered ready when one of the conditions is met: is idle (no further message received) for more than the idleMillis at least once is busy processing the same package for more than MAX_RETRIES times.
Constructors in org.apache.sling.distribution.journal.impl.subscriber with parameters of type IdleCheck
Modifier
Constructor
Description
``
`SubscriberIdleCheck(org.osgi.framework.BundleContext context, IdleCheck idleCheck)`